# AquaDMX

A custom DMX Art-Net server that integrates with [Home Assistant](https://home-assistant.io).

## Setup
To setup AquaDMX run through the following to install the python dependencies and configure the integration with Home Assistant.

### Install
```sh
pip install -r requirements.txt
```
Create a `settings.ini` file with the following settings filled in:

```
[HomeAssistant]
url=
token=
```

url is the address of the Home Assistant instance with http or https.
token is the Long-Lived Access Token for Home Assistant. It can be obtained by going to the Home Assistant profile page and scrolling to the Long-Lived Access Tokens section and click Create Token. Give the token a name and click OK. Copy the token.

### Lights
To add lights add them to the `settings.ini` config file under by creating a Light section like the follow.

```
[Lights]
dimmer=light.dimmer_1
       light.dimmer_2
rgb=light.rgb_1
    light.rgb_2
```

#### Supported Light Types

##### Dimmer
Dimmer lights use a single DMX channel and will set the light brightness according to the channel value.

| Channel | Setting    |
|---------|------------|
| 1       | Brightness |


##### RGB
RGB lights use four DMX channels to set brightness and RGB values.

| Channel | Setting    |
|---------|------------|
| 1       | Brightness |
| 2       | Red        |
| 3       | Green      |
| 4       | Blue       |

### Dragonframe

To add the DMX server to Dragonframe open up a project and on the top menu select Scene -> Connections... Select the `Add Connection` button and from the device drop down select `ArtNet DMX`. Select DMX U1. If you want it to be another Universe number than select a different number. For the ip:universe number enter  `127.0.0.1:1`. The first set of numbers before the colon being the local address of your computer and the number after the colon being the universe number of AquaDMX. If you are running the program on a different computer you should set that computers IP address instead of the localhost address. Click connect and if AquaDMX is running Dragonframe should change the connect icon to green.

### Running

To run the program run the following command:

```sh
python aquadmx.py
```

